# Command Line Installation

The Insight Student Application supports the use of command line options to configure the product during the installation process. These options can be used with a variety of deployment tools to push the Student Application to systems without requiring user intervention.

| Command Line Option            | Description                                                                                                                                                                                                                                                                                                                              |
| ------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `/classID <value>`             | During installation, this will set the default Class ID to the value specified. The value can be any valid alphanumeric Class ID.                                                                                                                                                                                                        |
| `/requireStudentPermission`    | Setting this option during the installation process will configure Insight to require the approval of the Student.                                                                                                                                                                                                                       |
| `/installbrowserextension`     | Setting this option will install the browser extensions on the Student system.                                                                                                                                                                                                                                                           |
| `/enableWebHistory`            | Setting this option will enable the ability of Insight to track web history on Student machines.                                                                                                                                                                                                                                         |
| `/disableKeyLogging`           | Setting this option will disable the ability of Insight to log keystrokes on the client system.                                                                                                                                                                                                                                          |
| `/studentCanChangeClassId`     | Setting this option will configure Insight to allow the Student to change the Class ID in Insight.                                                                                                                                                                                                                                       |
| `/hideSysTrayIcon`             | Setting this option will configure Insight to hide its Icon on the system tray.                                                                                                                                                                                                                                                          |
| `/restrictWiFi`                | Setting this option will enable the ability for Insight to restrict what wireless networks the system can connect to.                                                                                                                                                                                                                    |
| `/authorizedWiFiSSIDs <value>` | Setting this option will specify the SSIDs for the wireless networks that the systems can connect to. SSIDs should be specified by entering each one separated by a comma.                                                                                                                                                               |
| `/sharedSecret <value>`        | <p>This option configures Insight to make use of Private Mode using the value specified as the Access Token.</p><p><br>Example: </p><p><code>/sharedSecret Password123</code></p>                                                                                                                                                        |
| `/adminPwd <value>`            | This option configures the Administrator Password on the client system using the value specified after the command line switch.                                                                                                                                                                                                          |
| `/connectorServer <value>`     | <p>This option configures the Insight Student to communicate with the Insight Connector located at the IP address, Hostname, or FQDN specified.</p><p></p><p>Example: </p><p><code>/connectorServer insight</code> </p><p><code>/connectorServer 192.168.1.10</code> </p><p><code>/connectorServer insight.example.domain.com</code></p> |
| `/suppressreboot`              | This option will suppress the reboot of the client system after the Insight Student is installed. Insight may not be fully enabled until the client machine is rebooted after the install process.                                                                                                                                       |
| `/upgrade`                     | This option will silently upgrade Insight Student with existing settings.                                                                                                                                                                                                                                                                |

An example installation command line is shown below when installing Insight Student using an executable (.exe) file:

`InsightInstallerStudent.exe /classid Class101 /adminPwd Password123 /sharedSecret superiorsiegeweapon /installbrowserextension /enableWebHistory /connectorServer insight.example.domain.com /suppressreboot`

An example installation command line is shown below when installing Insight Student using an MSI installer:

`MSIEXEC.exe /I "msi Path" /qn` `CMDLINE="/classId Class101 /requireStudentPermission /disableKeyLogging /studentCanChangeClassId /hideSysTrayIcon /adminPwd Password123 /installBrowserExtension /enableWebHistory"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/installation-and-administration/installation/installing-on-windows/installing-the-insight-student/command-line-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
